{#
   Author: Jordan Protin <jordan.protin@yahoo.com>
   Date:   26.04.2020
#}

{% extends 'base.html.twig' %}

{% block description %} {{ description }} {% endblock %}
{% block title %} {{ title }} {% endblock %}

{% block body_id 'contact' %}

{% block javascripts %}
    {{ parent() }}
    
    {{ encore_entry_script_tags('contact') }}
{% endblock %}

{% block main %}
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-md-4">
                <h1 class="display">Contactez-nous</h1>
                <p class="head">
                    Notre équipe est à votre écoute de 9h à 18h
                    du lundi au vendredi, hors jours fériés.
                    <br>
                    <a href="mailto:contact@dansnoscoeurs.com">
                        contact@dansnoscoeurs.com
                    </a>
                </p>
                <h2>Nous suivre sur les réseaux sociaux</h2>
            </div>
            <div class="col-xs-12 col-md-7 col-md-offset-1">
                {{ form_start(form, {'action': path('contact_index'), 'method': 'POST'}) }}
                    <div class="panel panel-default panel-lg">
                        <div class="panel-body">
                            <h4>Vos coordonnées</h4>

                            <div class="row">
                                <div class="col-sm-6">
                                    {{ form_row(form.lastname) }}
                                </div>
                                <div class="col-sm-6">
                                    {{ form_row(form.firstname) }}
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-6">
                                    {{ form_row(form.phone) }}
                                </div>
                                <div class="col-sm-6">
                                    {{ form_row(form.email) }}
                                </div>
                            </div>

                            <div class="contact-form-subject-target">
                                {% if form.availability is defined %}
                                    {{ form_row(form.availability) }}
                                {% endif %}
                            </div>

                            <h4 class="margin-top-large">Objet de votre demande</h4>

                            {{ form_row(form.subject) }}
                            {{ form_row(form.message) }}

                            <p>
                                <button id="contact_submit" type="submit" class="btn btn-lg btn-primary btn">
                                    {{ 'form.entity.contact.action.send'|trans }}
                                </button>
                            </p>
                        </div>
                    </div>
                {{ form_end(form) }}
            </div>
        </div>
    </div>
{% endblock %}
